TakenAt: 2024-01-13T12:48:50Z
TakenAtLocal: 2024-01-13T12:48:50Z
TakenSrc: meta
UID: pt67wp03kv2v5h6a
Type: image
Title: Recents / 2024
TimeZone: Local
Year: 2024
Month: 1
Day: 13
Quality: 2
Faces: 1
Details:
  Keywords: green, info, portrait, recents
CreatedAt: 2025-11-24T06:29:24Z
UpdatedAt: 2025-11-24T09:25:24Z
